# Japanese (Hiragana) (ja-Hira) locale

## `format` and `parse`

| Title                           | Token string | Date                     | `format` result                                                      | `parse` result           |
| ------------------------------- | ------------ | ------------------------ | -------------------------------------------------------------------- | ------------------------ |
| Calendar year                   | yo           | 1987-02-11T12:13:14.015Z | 1987 ねん                                                            | 1987-01-01T00:00:00.000Z |
|                                 |              | 0005-01-01T12:13:14.015Z | 5 ねん                                                               | 0005-01-01T00:00:00.000Z |
| Local week-numbering year       | Yo           | 1987-02-11T12:13:14.015Z | 1987 ねん                                                            | 1986-12-28T00:00:00.000Z |
|                                 |              | 0005-01-01T12:13:14.015Z | 5 ねん                                                               | 0004-12-26T00:00:00.000Z |
| Quarter (formatting)            | Qo           | 2019-01-01T12:13:14.015Z | だい 1 しはんき                                                      | 2019-01-01T00:00:00.000Z |
|                                 |              | 2019-04-01T12:13:14.015Z | だい 2 しはんき                                                      | 2019-04-01T00:00:00.000Z |
|                                 | QQQ          | 2019-01-01T12:13:14.015Z | Q1                                                                   | 2019-01-01T00:00:00.000Z |
|                                 |              | 2019-04-01T12:13:14.015Z | Q2                                                                   | 2019-04-01T00:00:00.000Z |
|                                 | QQQQ         | 2019-01-01T12:13:14.015Z | だい 1 しはんき                                                      | 2019-01-01T00:00:00.000Z |
|                                 |              | 2019-04-01T12:13:14.015Z | だい 2 しはんき                                                      | 2019-04-01T00:00:00.000Z |
|                                 | QQQQQ        | 2019-01-01T12:13:14.015Z | 1                                                                    | 2019-01-01T00:00:00.000Z |
|                                 |              | 2019-04-01T12:13:14.015Z | 2                                                                    | 2019-04-01T00:00:00.000Z |
| Quarter (stand-alone)           | qo           | 2019-01-01T12:13:14.015Z | だい 1 しはんき                                                      | 2019-01-01T00:00:00.000Z |
|                                 |              | 2019-04-01T12:13:14.015Z | だい 2 しはんき                                                      | 2019-04-01T00:00:00.000Z |
|                                 | qqq          | 2019-01-01T12:13:14.015Z | Q1                                                                   | 2019-01-01T00:00:00.000Z |
|                                 |              | 2019-04-01T12:13:14.015Z | Q2                                                                   | 2019-04-01T00:00:00.000Z |
|                                 | qqqq         | 2019-01-01T12:13:14.015Z | だい 1 しはんき                                                      | 2019-01-01T00:00:00.000Z |
|                                 |              | 2019-04-01T12:13:14.015Z | だい 2 しはんき                                                      | 2019-04-01T00:00:00.000Z |
| Month (formatting)              | Mo           | 2019-02-11T12:13:14.015Z | 2 がつ                                                               | 2019-02-01T00:00:00.000Z |
|                                 |              | 2019-07-10T12:13:14.015Z | 7 がつ                                                               | 2019-07-01T00:00:00.000Z |
|                                 | MMM          | 2019-02-11T12:13:14.015Z | 2 がつ                                                               | 2019-02-01T00:00:00.000Z |
|                                 |              | 2019-07-10T12:13:14.015Z | 7 がつ                                                               | 2019-07-01T00:00:00.000Z |
|                                 | MMMM         | 2019-02-11T12:13:14.015Z | 2 がつ                                                               | 2019-02-01T00:00:00.000Z |
|                                 |              | 2019-07-10T12:13:14.015Z | 7 がつ                                                               | 2019-07-01T00:00:00.000Z |
|                                 | MMMMM        | 2019-02-11T12:13:14.015Z | 2                                                                    | 2019-02-01T00:00:00.000Z |
|                                 |              | 2019-07-10T12:13:14.015Z | 7                                                                    | 2019-07-01T00:00:00.000Z |
| Month (stand-alone)             | Lo           | 2019-02-11T12:13:14.015Z | 2 がつ                                                               | 2019-02-01T00:00:00.000Z |
|                                 |              | 2019-07-10T12:13:14.015Z | 7 がつ                                                               | 2019-07-01T00:00:00.000Z |
|                                 | LLL          | 2019-02-11T12:13:14.015Z | 2 がつ                                                               | 2019-02-01T00:00:00.000Z |
|                                 |              | 2019-07-10T12:13:14.015Z | 7 がつ                                                               | 2019-07-01T00:00:00.000Z |
|                                 | LLLL         | 2019-02-11T12:13:14.015Z | 2 がつ                                                               | 2019-02-01T00:00:00.000Z |
|                                 |              | 2019-07-10T12:13:14.015Z | 7 がつ                                                               | 2019-07-01T00:00:00.000Z |
|                                 | LLLLL        | 2019-02-11T12:13:14.015Z | 2                                                                    | 2019-02-01T00:00:00.000Z |
|                                 |              | 2019-07-10T12:13:14.015Z | 7                                                                    | 2019-07-01T00:00:00.000Z |
| Local week of year              | wo           | 2019-01-01T12:13:14.015Z | だい 1 しゅう                                                        | 2018-12-30T00:00:00.000Z |
|                                 |              | 2019-12-01T12:13:14.015Z | だい 49 しゅう                                                       | 2019-12-01T00:00:00.000Z |
| ISO week of year                | Io           | 2019-01-01T12:13:14.015Z | だい 1 しゅう                                                        | 2018-12-31T00:00:00.000Z |
|                                 |              | 2019-12-01T12:13:14.015Z | だい 48 しゅう                                                       | 2019-11-25T00:00:00.000Z |
| Day of month                    | do           | 2019-02-11T12:13:14.015Z | 11 にち                                                              | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-28T12:13:14.015Z | 28 にち                                                              | 2019-02-28T00:00:00.000Z |
| Day of year                     | Do           | 2019-02-11T12:13:14.015Z | 42                                                                   | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-12-31T12:13:14.015Z | 365                                                                  | 2019-12-31T00:00:00.000Z |
| Day of week (formatting)        | E            | 2019-02-11T12:13:14.015Z | げつ                                                                 | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | きん                                                                 | 2019-02-15T00:00:00.000Z |
|                                 | EE           | 2019-02-11T12:13:14.015Z | げつ                                                                 | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | きん                                                                 | 2019-02-15T00:00:00.000Z |
|                                 | EEE          | 2019-02-11T12:13:14.015Z | げつ                                                                 | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | きん                                                                 | 2019-02-15T00:00:00.000Z |
|                                 | EEEE         | 2019-02-11T12:13:14.015Z | げつようび                                                           | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | きんようび                                                           | 2019-02-15T00:00:00.000Z |
|                                 | EEEEE        | 2019-02-11T12:13:14.015Z | げつ                                                                 | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | きん                                                                 | 2019-02-15T00:00:00.000Z |
|                                 | EEEEEE       | 2019-02-11T12:13:14.015Z | げつ                                                                 | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | きん                                                                 | 2019-02-15T00:00:00.000Z |
| ISO day of week (formatting)    | io           | 2019-02-11T12:13:14.015Z | 1                                                                    | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | 5                                                                    | 2019-02-15T00:00:00.000Z |
|                                 | iii          | 2019-02-11T12:13:14.015Z | げつ                                                                 | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | きん                                                                 | 2019-02-15T00:00:00.000Z |
|                                 | iiii         | 2019-02-11T12:13:14.015Z | げつようび                                                           | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | きんようび                                                           | 2019-02-15T00:00:00.000Z |
|                                 | iiiii        | 2019-02-11T12:13:14.015Z | げつ                                                                 | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | きん                                                                 | 2019-02-15T00:00:00.000Z |
|                                 | iiiiii       | 2019-02-11T12:13:14.015Z | げつ                                                                 | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | きん                                                                 | 2019-02-15T00:00:00.000Z |
| Local day of week (formatting)  | eo           | 2019-02-11T12:13:14.015Z | 2                                                                    | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | 6                                                                    | 2019-02-15T00:00:00.000Z |
|                                 | eee          | 2019-02-11T12:13:14.015Z | げつ                                                                 | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | きん                                                                 | 2019-02-15T00:00:00.000Z |
|                                 | eeee         | 2019-02-11T12:13:14.015Z | げつようび                                                           | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | きんようび                                                           | 2019-02-15T00:00:00.000Z |
|                                 | eeeee        | 2019-02-11T12:13:14.015Z | げつ                                                                 | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | きん                                                                 | 2019-02-15T00:00:00.000Z |
|                                 | eeeeee       | 2019-02-11T12:13:14.015Z | げつ                                                                 | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | きん                                                                 | 2019-02-15T00:00:00.000Z |
| Local day of week (stand-alone) | co           | 2019-02-11T12:13:14.015Z | 2                                                                    | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | 6                                                                    | 2019-02-15T00:00:00.000Z |
|                                 | ccc          | 2019-02-11T12:13:14.015Z | げつ                                                                 | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | きん                                                                 | 2019-02-15T00:00:00.000Z |
|                                 | cccc         | 2019-02-11T12:13:14.015Z | げつようび                                                           | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | きんようび                                                           | 2019-02-15T00:00:00.000Z |
|                                 | ccccc        | 2019-02-11T12:13:14.015Z | げつ                                                                 | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | きん                                                                 | 2019-02-15T00:00:00.000Z |
|                                 | cccccc       | 2019-02-11T12:13:14.015Z | げつ                                                                 | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-15T12:13:14.015Z | きん                                                                 | 2019-02-15T00:00:00.000Z |
| AM, PM                          | a            | 2019-02-11T11:13:14.015Z | ごぜん                                                               | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-11T14:13:14.015Z | ごご                                                                 | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T19:13:14.015Z | ごご                                                                 | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | ごぜん                                                               | 2019-02-11T00:00:00.000Z |
|                                 | aa           | 2019-02-11T11:13:14.015Z | ごぜん                                                               | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-11T14:13:14.015Z | ごご                                                                 | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T19:13:14.015Z | ごご                                                                 | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | ごぜん                                                               | 2019-02-11T00:00:00.000Z |
|                                 | aaa          | 2019-02-11T11:13:14.015Z | ごぜん                                                               | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-11T14:13:14.015Z | ごご                                                                 | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T19:13:14.015Z | ごご                                                                 | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | ごぜん                                                               | 2019-02-11T00:00:00.000Z |
|                                 | aaaa         | 2019-02-11T11:13:14.015Z | ごぜん                                                               | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-11T14:13:14.015Z | ごご                                                                 | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T19:13:14.015Z | ごご                                                                 | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | ごぜん                                                               | 2019-02-11T00:00:00.000Z |
|                                 | aaaaa        | 2019-02-11T11:13:14.015Z | ごぜん                                                               | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-11T14:13:14.015Z | ごご                                                                 | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T19:13:14.015Z | ごご                                                                 | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | ごぜん                                                               | 2019-02-11T00:00:00.000Z |
| AM, PM, noon, midnight          | b            | 2019-02-11T11:13:14.015Z | ごぜん                                                               | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-11T14:13:14.015Z | ごご                                                                 | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T19:13:14.015Z | ごご                                                                 | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | ごぜん                                                               | 2019-02-11T00:00:00.000Z |
|                                 | bb           | 2019-02-11T11:13:14.015Z | ごぜん                                                               | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-11T14:13:14.015Z | ごご                                                                 | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T19:13:14.015Z | ごご                                                                 | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | ごぜん                                                               | 2019-02-11T00:00:00.000Z |
|                                 | bbb          | 2019-02-11T11:13:14.015Z | ごぜん                                                               | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-11T14:13:14.015Z | ごご                                                                 | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T19:13:14.015Z | ごご                                                                 | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | ごぜん                                                               | 2019-02-11T00:00:00.000Z |
|                                 | bbbb         | 2019-02-11T11:13:14.015Z | ごぜん                                                               | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-11T14:13:14.015Z | ごご                                                                 | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T19:13:14.015Z | ごご                                                                 | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | ごぜん                                                               | 2019-02-11T00:00:00.000Z |
|                                 | bbbbb        | 2019-02-11T11:13:14.015Z | ごぜん                                                               | 2019-02-11T00:00:00.000Z |
|                                 |              | 2019-02-11T14:13:14.015Z | ごご                                                                 | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T19:13:14.015Z | ごご                                                                 | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | ごぜん                                                               | 2019-02-11T00:00:00.000Z |
| Flexible day period             | B            | 2019-02-11T11:13:14.015Z | あさ                                                                 | 2019-02-11T04:00:00.000Z |
|                                 |              | 2019-02-11T14:13:14.015Z | ごご                                                                 | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T19:13:14.015Z | よる                                                                 | 2019-02-11T17:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | しんや                                                               | 2019-02-11T00:00:00.000Z |
|                                 | BB           | 2019-02-11T11:13:14.015Z | あさ                                                                 | 2019-02-11T04:00:00.000Z |
|                                 |              | 2019-02-11T14:13:14.015Z | ごご                                                                 | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T19:13:14.015Z | よる                                                                 | 2019-02-11T17:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | しんや                                                               | 2019-02-11T00:00:00.000Z |
|                                 | BBB          | 2019-02-11T11:13:14.015Z | あさ                                                                 | 2019-02-11T04:00:00.000Z |
|                                 |              | 2019-02-11T14:13:14.015Z | ごご                                                                 | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T19:13:14.015Z | よる                                                                 | 2019-02-11T17:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | しんや                                                               | 2019-02-11T00:00:00.000Z |
|                                 | BBBB         | 2019-02-11T11:13:14.015Z | あさ                                                                 | 2019-02-11T04:00:00.000Z |
|                                 |              | 2019-02-11T14:13:14.015Z | ごご                                                                 | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T19:13:14.015Z | よる                                                                 | 2019-02-11T17:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | しんや                                                               | 2019-02-11T00:00:00.000Z |
|                                 | BBBBB        | 2019-02-11T11:13:14.015Z | あさ                                                                 | 2019-02-11T04:00:00.000Z |
|                                 |              | 2019-02-11T14:13:14.015Z | ごご                                                                 | 2019-02-11T12:00:00.000Z |
|                                 |              | 2019-02-11T19:13:14.015Z | よる                                                                 | 2019-02-11T17:00:00.000Z |
|                                 |              | 2019-02-11T02:13:14.015Z | しんや                                                               | 2019-02-11T00:00:00.000Z |
| Hour [1-12]                     | ho           | 2019-02-11T11:13:14.015Z | 11 じ                                                                | 2019-02-11T11:00:00.000Z |
|                                 |              | 2019-02-11T23:13:14.015Z | 11 じ                                                                | 2019-02-11T23:00:00.000Z |
| Hour [0-23]                     | Ho           | 2019-02-11T11:13:14.015Z | 11 じ                                                                | 2019-02-11T11:00:00.000Z |
|                                 |              | 2019-02-11T23:13:14.015Z | 23 じ                                                                | 2019-02-11T23:00:00.000Z |
| Hour [0-11]                     | Ko           | 2019-02-11T11:13:14.015Z | 11 じ                                                                | 2019-02-11T11:00:00.000Z |
|                                 |              | 2019-02-11T23:13:14.015Z | 11 じ                                                                | 2019-02-11T23:00:00.000Z |
| Hour [1-24]                     | ko           | 2019-02-11T11:13:14.015Z | 11 じ                                                                | 2019-02-11T11:00:00.000Z |
|                                 |              | 2019-02-11T23:13:14.015Z | 23 じ                                                                | 2019-02-11T23:00:00.000Z |
| Minute                          | mo           | 2019-01-01T12:01:14.015Z | 1 ふん                                                               | 2019-01-01T12:01:00.000Z |
|                                 |              | 2019-04-01T12:55:14.015Z | 55 ふん                                                              | 2019-04-01T12:55:00.000Z |
| Second                          | so           | 2019-01-01T12:13:01.015Z | 1 びょう                                                             | 2019-01-01T12:13:01.000Z |
|                                 |              | 2019-04-01T12:13:55.015Z | 55 びょう                                                            | 2019-04-01T12:13:55.000Z |
| Long localized date             | P            | 1987-02-11T12:13:14.015Z | 1987/02/11                                                           | 1987-02-11T00:00:00.000Z |
|                                 |              | 1453-05-29T23:59:59.999Z | 1453/05/29                                                           | 1453-05-29T00:00:00.000Z |
|                                 | PP           | 1987-02-11T12:13:14.015Z | 1987/02/11                                                           | 1987-02-11T00:00:00.000Z |
|                                 |              | 1453-05-29T23:59:59.999Z | 1453/05/29                                                           | 1453-05-29T00:00:00.000Z |
|                                 | PPP          | 1987-02-11T12:13:14.015Z | 1987 ねん 2 がつ 11 にち                                             | 1987-02-11T00:00:00.000Z |
|                                 |              | 1453-05-29T23:59:59.999Z | 1453 ねん 5 がつ 29 にち                                             | 1453-05-29T00:00:00.000Z |
|                                 | PPPP         | 1987-02-11T12:13:14.015Z | 1987 ねん 2 がつ 11 にちすいようび                                   | 1987-02-11T00:00:00.000Z |
|                                 |              | 1453-05-29T23:59:59.999Z | 1453 ねん 5 がつ 29 にちにちようび                                   | 1453-05-29T00:00:00.000Z |
| Long localized time             | p            | 1987-02-11T12:13:14.015Z | 12:13                                                                | 1987-02-11T12:13:00.000Z |
|                                 |              | 1453-05-29T23:59:59.999Z | 23:59                                                                | 1453-05-29T23:59:00.000Z |
|                                 | pp           | 1987-02-11T12:13:14.015Z | 12:13:14                                                             | 1987-02-11T12:13:14.000Z |
|                                 |              | 1453-05-29T23:59:59.999Z | 23:59:59                                                             | 1453-05-29T23:59:59.000Z |
|                                 | ppp          | 1987-02-11T12:13:14.015Z | 12:13:14 GMT+0                                                       | Errored                  |
|                                 |              | 1453-05-29T23:59:59.999Z | 23:59:59 GMT+0                                                       | Errored                  |
|                                 | pppp         | 1987-02-11T12:13:14.015Z | 12 じ 13 ふん 14 びょう GMT+00:00                                    | Errored                  |
|                                 |              | 1453-05-29T23:59:59.999Z | 23 じ 59 ふん 59 びょう GMT+00:00                                    | Errored                  |
| Combination of date and time    | Pp           | 1987-02-11T12:13:14.015Z | 1987/02/11 12:13                                                     | 1987-02-11T12:13:00.000Z |
|                                 |              | 1453-05-29T23:59:59.999Z | 1453/05/29 23:59                                                     | 1453-05-29T23:59:00.000Z |
|                                 | PPpp         | 1987-02-11T12:13:14.015Z | 1987/02/11 12:13:14                                                  | 1987-02-11T12:13:14.000Z |
|                                 |              | 1453-05-29T23:59:59.999Z | 1453/05/29 23:59:59                                                  | 1453-05-29T23:59:59.000Z |
|                                 | PPPppp       | 1987-02-11T12:13:14.015Z | 1987 ねん 2 がつ 11 にち 12:13:14 GMT+0                              | Errored                  |
|                                 |              | 1453-05-29T23:59:59.999Z | 1453 ねん 5 がつ 29 にち 23:59:59 GMT+0                              | Errored                  |
|                                 | PPPPpppp     | 1987-02-11T12:13:14.015Z | 1987 ねん 2 がつ 11 にちすいようび 12 じ 13 ふん 14 びょう GMT+00:00 | Errored                  |
|                                 |              | 1453-05-29T23:59:59.999Z | 1453 ねん 5 がつ 29 にちにちようび 23 じ 59 ふん 59 びょう GMT+00:00 | Errored                  |

## `formatDistance`

If now is January 1st, 2000, 00:00.

| Date                     | Result         | `includeSeconds: true` | `addSuffix: true`  |
| ------------------------ | -------------- | ---------------------- | ------------------ |
| 2006-01-01T00:00:00.000Z | やく 6 ねん    | やく 6 ねん            | やく 6 ねんあと    |
| 2005-01-01T00:00:00.000Z | やく 5 ねん    | やく 5 ねん            | やく 5 ねんあと    |
| 2004-01-01T00:00:00.000Z | やく 4 ねん    | やく 4 ねん            | やく 4 ねんあと    |
| 2003-01-01T00:00:00.000Z | やく 3 ねん    | やく 3 ねん            | やく 3 ねんあと    |
| 2002-01-01T00:00:00.000Z | やく 2 ねん    | やく 2 ねん            | やく 2 ねんあと    |
| 2001-06-01T00:00:00.000Z | 1 ねんいじょう | 1 ねんいじょう         | 1 ねんいじょうあと |
| 2001-02-01T00:00:00.000Z | やく 1 ねん    | やく 1 ねん            | やく 1 ねんあと    |
| 2001-01-01T00:00:00.000Z | やく 1 ねん    | やく 1 ねん            | やく 1 ねんあと    |
| 2000-06-01T00:00:00.000Z | 5 かげつ       | 5 かげつ               | 5 かげつあと       |
| 2000-03-01T00:00:00.000Z | 2 かげつ       | 2 かげつ               | 2 かげつあと       |
| 2000-02-01T00:00:00.000Z | やく 1 かげつ  | やく 1 かげつ          | やく 1 かげつあと  |
| 2000-01-15T00:00:00.000Z | 14 にち        | 14 にち                | 14 にちあと        |
| 2000-01-02T00:00:00.000Z | 1 にち         | 1 にち                 | 1 にちあと         |
| 2000-01-01T06:00:00.000Z | やく 6 じかん  | やく 6 じかん          | やく 6 じかんあと  |
| 2000-01-01T01:00:00.000Z | やく 1 じかん  | やく 1 じかん          | やく 1 じかんあと  |
| 2000-01-01T00:45:00.000Z | やく 1 じかん  | やく 1 じかん          | やく 1 じかんあと  |
| 2000-01-01T00:30:00.000Z | 30 ふん        | 30 ふん                | 30 ふんあと        |
| 2000-01-01T00:15:00.000Z | 15 ふん        | 15 ふん                | 15 ふんあと        |
| 2000-01-01T00:01:00.000Z | 1 ぷん         | 1 ぷん                 | 1 ぷんあと         |
| 2000-01-01T00:00:25.000Z | 1 ぷんみまん   | 30 びょう              | やく 1 ぷんあと    |
| 2000-01-01T00:00:15.000Z | 1 ぷんみまん   | 20 びょうみまん        | やく 1 ぷんあと    |
| 2000-01-01T00:00:05.000Z | 1 ぷんみまん   | 10 びょうみまん        | やく 1 ぷんあと    |
| 2000-01-01T00:00:00.000Z | 1 ぷんみまん   | 5 びょうみまん         | やく 1 ぷんまえ    |
| 1999-12-31T23:59:55.000Z | 1 ぷんみまん   | 10 びょうみまん        | やく 1 ぷんまえ    |
| 1999-12-31T23:59:45.000Z | 1 ぷんみまん   | 20 びょうみまん        | やく 1 ぷんまえ    |
| 1999-12-31T23:59:35.000Z | 1 ぷんみまん   | 30 びょう              | やく 1 ぷんまえ    |
| 1999-12-31T23:59:00.000Z | 1 ぷん         | 1 ぷん                 | 1 ぷんまえ         |
| 1999-12-31T23:45:00.000Z | 15 ふん        | 15 ふん                | 15 ふんまえ        |
| 1999-12-31T23:30:00.000Z | 30 ふん        | 30 ふん                | 30 ふんまえ        |
| 1999-12-31T23:15:00.000Z | やく 1 じかん  | やく 1 じかん          | やく 1 じかんまえ  |
| 1999-12-31T23:00:00.000Z | やく 1 じかん  | やく 1 じかん          | やく 1 じかんまえ  |
| 1999-12-31T18:00:00.000Z | やく 6 じかん  | やく 6 じかん          | やく 6 じかんまえ  |
| 1999-12-30T00:00:00.000Z | 2 にち         | 2 にち                 | 2 にちまえ         |
| 1999-12-15T00:00:00.000Z | 17 にち        | 17 にち                | 17 にちまえ        |
| 1999-12-01T00:00:00.000Z | やく 1 かげつ  | やく 1 かげつ          | やく 1 かげつまえ  |
| 1999-11-01T00:00:00.000Z | 2 かげつ       | 2 かげつ               | 2 かげつまえ       |
| 1999-06-01T00:00:00.000Z | 7 かげつ       | 7 かげつ               | 7 かげつまえ       |
| 1999-01-01T00:00:00.000Z | やく 1 ねん    | やく 1 ねん            | やく 1 ねんまえ    |
| 1998-12-01T00:00:00.000Z | やく 1 ねん    | やく 1 ねん            | やく 1 ねんまえ    |
| 1998-06-01T00:00:00.000Z | 1 ねんいじょう | 1 ねんいじょう         | 1 ねんいじょうまえ |
| 1998-01-01T00:00:00.000Z | やく 2 ねん    | やく 2 ねん            | やく 2 ねんまえ    |
| 1997-01-01T00:00:00.000Z | やく 3 ねん    | やく 3 ねん            | やく 3 ねんまえ    |
| 1996-01-01T00:00:00.000Z | やく 4 ねん    | やく 4 ねん            | やく 4 ねんまえ    |
| 1995-01-01T00:00:00.000Z | やく 5 ねん    | やく 5 ねん            | やく 5 ねんまえ    |
| 1994-01-01T00:00:00.000Z | やく 6 ねん    | やく 6 ねん            | やく 6 ねんまえ    |

## `formatDistanceStrict`

If now is January 1st, 2000, 00:00.

| Date                     | Result    | `addSuffix: true` | With forced unit (i.e. `hour`) |
| ------------------------ | --------- | ----------------- | ------------------------------ |
| 2006-01-01T00:00:00.000Z | 6 ねん    | 6 ねんあと        | 52608 じかん                   |
| 2005-01-01T00:00:00.000Z | 5 ねん    | 5 ねんあと        | 43848 じかん                   |
| 2004-01-01T00:00:00.000Z | 4 ねん    | 4 ねんあと        | 35064 じかん                   |
| 2003-01-01T00:00:00.000Z | 3 ねん    | 3 ねんあと        | 26304 じかん                   |
| 2002-01-01T00:00:00.000Z | 2 ねん    | 2 ねんあと        | 17544 じかん                   |
| 2001-06-01T00:00:00.000Z | 1 ねん    | 1 ねんあと        | 12408 じかん                   |
| 2001-02-01T00:00:00.000Z | 1 ねん    | 1 ねんあと        | 9528 じかん                    |
| 2001-01-01T00:00:00.000Z | 1 ねん    | 1 ねんあと        | 8784 じかん                    |
| 2000-06-01T00:00:00.000Z | 5 かげつ  | 5 かげつあと      | 3648 じかん                    |
| 2000-03-01T00:00:00.000Z | 2 かげつ  | 2 かげつあと      | 1440 じかん                    |
| 2000-02-01T00:00:00.000Z | 1 かげつ  | 1 かげつあと      | 744 じかん                     |
| 2000-01-15T00:00:00.000Z | 14 にち   | 14 にちあと       | 336 じかん                     |
| 2000-01-02T00:00:00.000Z | 1 にち    | 1 にちあと        | 24 じかん                      |
| 2000-01-01T06:00:00.000Z | 6 じかん  | 6 じかんあと      | 6 じかん                       |
| 2000-01-01T01:00:00.000Z | 1 じかん  | 1 じかんあと      | 1 じかん                       |
| 2000-01-01T00:45:00.000Z | 45 ふん   | 45 ふんあと       | 1 じかん                       |
| 2000-01-01T00:30:00.000Z | 30 ふん   | 30 ふんあと       | 1 じかん                       |
| 2000-01-01T00:15:00.000Z | 15 ふん   | 15 ふんあと       | 0 じかん                       |
| 2000-01-01T00:01:00.000Z | 1 ぷん    | 1 ぷんあと        | 0 じかん                       |
| 2000-01-01T00:00:25.000Z | 25 びょう | 25 びょうあと     | 0 じかん                       |
| 2000-01-01T00:00:15.000Z | 15 びょう | 15 びょうあと     | 0 じかん                       |
| 2000-01-01T00:00:05.000Z | 5 びょう  | 5 びょうあと      | 0 じかん                       |
| 2000-01-01T00:00:00.000Z | 0 びょう  | 0 びょうまえ      | 0 じかん                       |
| 1999-12-31T23:59:55.000Z | 5 びょう  | 5 びょうまえ      | 0 じかん                       |
| 1999-12-31T23:59:45.000Z | 15 びょう | 15 びょうまえ     | 0 じかん                       |
| 1999-12-31T23:59:35.000Z | 25 びょう | 25 びょうまえ     | 0 じかん                       |
| 1999-12-31T23:59:00.000Z | 1 ぷん    | 1 ぷんまえ        | 0 じかん                       |
| 1999-12-31T23:45:00.000Z | 15 ふん   | 15 ふんまえ       | 0 じかん                       |
| 1999-12-31T23:30:00.000Z | 30 ふん   | 30 ふんまえ       | 1 じかん                       |
| 1999-12-31T23:15:00.000Z | 45 ふん   | 45 ふんまえ       | 1 じかん                       |
| 1999-12-31T23:00:00.000Z | 1 じかん  | 1 じかんまえ      | 1 じかん                       |
| 1999-12-31T18:00:00.000Z | 6 じかん  | 6 じかんまえ      | 6 じかん                       |
| 1999-12-30T00:00:00.000Z | 2 にち    | 2 にちまえ        | 48 じかん                      |
| 1999-12-15T00:00:00.000Z | 17 にち   | 17 にちまえ       | 408 じかん                     |
| 1999-12-01T00:00:00.000Z | 1 かげつ  | 1 かげつまえ      | 744 じかん                     |
| 1999-11-01T00:00:00.000Z | 2 かげつ  | 2 かげつまえ      | 1464 じかん                    |
| 1999-06-01T00:00:00.000Z | 7 かげつ  | 7 かげつまえ      | 5136 じかん                    |
| 1999-01-01T00:00:00.000Z | 1 ねん    | 1 ねんまえ        | 8760 じかん                    |
| 1998-12-01T00:00:00.000Z | 1 ねん    | 1 ねんまえ        | 9504 じかん                    |
| 1998-06-01T00:00:00.000Z | 2 ねん    | 2 ねんまえ        | 13896 じかん                   |
| 1998-01-01T00:00:00.000Z | 2 ねん    | 2 ねんまえ        | 17520 じかん                   |
| 1997-01-01T00:00:00.000Z | 3 ねん    | 3 ねんまえ        | 26280 じかん                   |
| 1996-01-01T00:00:00.000Z | 4 ねん    | 4 ねんまえ        | 35064 じかん                   |
| 1995-01-01T00:00:00.000Z | 5 ねん    | 5 ねんまえ        | 43824 じかん                   |
| 1994-01-01T00:00:00.000Z | 6 ねん    | 6 ねんまえ        | 52584 じかん                   |

## `formatRelative`

If now is January 1st, 2000, 00:00.

| Date                     | Result                        |
| ------------------------ | ----------------------------- |
| 2000-01-10T00:00:00.000Z | 2000/01/10                    |
| 2000-01-05T00:00:00.000Z | よくしゅうのすいようびの 0:00 |
| 2000-01-02T00:00:00.000Z | あしたの 0:00                 |
| 2000-01-01T00:00:00.000Z | きょうの 0:00                 |
| 1999-12-31T00:00:00.000Z | きのうの 0:00                 |
| 1999-12-27T00:00:00.000Z | せんしゅうのげつようびの 0:00 |
| 1999-12-21T00:00:00.000Z | 1999/12/21                    |
